Adjust Tax Quote

Replace the persisted tax quote (identified by the given unique ID) with the provided quote request (represented by the **AdjustRequest**). Relevant for returns, partial refunds, and other Order modifications where there have been changes to the tax liabilities. The returned **Tax Quote** response is expected to be the same to a response returned by an equivalent response to **estimate** or **commit** methods. > Server URL > - For supporting tax providers, the server URL contains the tax providerʼs profile field; for example, `your_profile.example.com`. > - The Try it feature is not currently supported for this endpoint.

Authentication

AuthorizationBasic
The [HTTP Basic Authentication](https://developer.mozilla.org/en-US/docs/Web/HTTP/Authentication) (developer.mozilla.org) credentials used to authenticate each API request to the tax provider from the associated store; set and update `username`, `password`, and optionally `profile`, using the [Update a Connection](/developer/api-reference/rest/tax-provider/tax-provider-connection#update-a-connection) request. `profile` is an optional field and will be used with supporting providers only. For more, see [developer-configured authentication](/developer/docs/overview/api-accounts#developer-configured-authentication) for Provider APIs.

Headers

X-Bc-Store-HashstringRequired

BigCommerce will send through the store hash as part of all tax provider operations. Each BigCommerce store on the platform has a unique store hash value for the store’s lifetime. This value can assist in account verification or profile matching responsibilities.

Query parameters

idstringRequired
Unique ID identifying the existing, persisted tax quote that will be adjusted.

Request

This endpoint expects an object.
currency_codestringRequired
ISO 4217 3 character currency code that all prices on this request are in.
customerobjectRequired

If the shopper is a registered customer in the merchant’s store, basic details for that customer.

documentslist of objectsRequired

One or more consignments containing items being purchased by the shopper, including shipping and handling fees that are charged for each consignment. Most orders will contain a single consignment (to a single shipping address), however the BigCommerce platform also supports “Multi-address orders” which allow shoppers to place a single order with items shipped to different addresses.

idstringRequired

Unique ID of the taxable document (order, cart, quote, etc) this tax quote request is being generated for. Will remain consistent for the lifetime of the entity being estimated.

transaction_datedatetimeRequired
ISO 8601 formatted date the shopper placed this order. Tax quotes are expected to reflect taxes applicable on this date. Dates will be provided in UTC.
adjust_descriptionstringOptional

Specifies the reason for the adjustment operation, for auditing purposes. May be a custom, user-entered description.

Response

Returned Tax Quote response matches the updated QuoteRequest provided to the service method.
idstring

The unique identifier of the tax quote that was requested. This value must either match the ID of the requested quote or be an external ID on the tax provider’s system. This value will be used for future adjust and void operations.

documentslist of objects
Represents an order quote or part of an order quote of tax-relevant items fulfilled from a single origin address to a single destination address, including arrays of shipping and handling fee objects for each item. Most order quotes contain a single document; however, BigCommerce supports "multi-address orders", which may come from or go to distinct sets of addresses and thus require multiple documents per quote.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error